Bug 211893 - Cannot open SCSI driver
Cannot open SCSI driver
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 14:34 EDT by Paul Hughett
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-08 08:37:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Hughett 2006-10-23 14:34:36 EDT
Description of problem:

Running cdrecord with a file to burn and the proper bus specification reports 

/usr/bin/cdrecord: Success. Cannot open SCSI driver.

Running cdrecord -scanbus finds the device with no problems:
scsibus1:
        1,0,0   100) 'SAMSUNG ' 'CD-R/RW SW-248F ' 'R602' Removable CD-ROM

The CD drive appears to be normal and can be used to read already burned CDs; it
has been used in the past to burn CDs without any problems.


Version-Release number of selected component (if applicable):

Name        : cdrecord                     Relocations: (not relocatable)
Version     : 2.01.1                            Vendor: Red Hat, Inc.
Release     : 5                             Build Date: Mon 18 Oct 2004 09:56:58
AM EDT


How reproducible:

Every time


Steps to Reproduce:
1. sudo cdrecord -v cdrom.iso
2.
3.

  
Actual results:

/usr/bin/cdrecord: No write mode specified.
/usr/bin/cdrecord: Asuming -tao mode.
/usr/bin/cdrecord: Future versions of cdrecord may have different drive
dependent defaults.
/usr/bin/cdrecord: Continuing in 5 seconds...
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
scsidev: '1,0,0'
scsibus: 1 target: 0 lun: 0
/usr/bin/cdrecord: Success. Cannot open SCSI driver.
/usr/bin/cdrecord: For possible targets try 'cdrecord -scanbus'.
/usr/bin/cdrecord: For possible transport specifiers try 'cdrecord dev=help'.


Expected results:

Burns the CDs.


Additional info:

This is a IDE drive installed as hdc1.
Comment 1 Harald Hoyer 2006-10-24 03:02:41 EDT
Try:
$ sudo cdrecord -v dev=/dev/hdc1 cdrom.iso
Comment 2 Paul Hughett 2006-10-24 10:25:45 EDT
First note a typo in the original description.  The CD burner is installed as
/dev/hdc rather than /dev/hdc1.

The command "sudo cdrecord -v dev=/dev/hdc cdrom.iso" works correctly.

If /etc/cdrecord.conf is modified to contain the line "CDR_DEVICE=/dev/hdc"
rather than "CDR_DEVICE=1,0,0", then the simpler command "sudo cdrecord -v
cdrom.iso" also works correctly.

The man page for cdrecord still needs to be modified to suggest that these
options are permissible (and now preferred, perhaps).

Note You need to log in before you can comment on or make changes to this bug.